# -*- encoding: utf-8 -*-

import os
from django.conf import settings

# default
MEDIA_ROOT = getattr(settings, 'MEDIA_ROOT', None)
PRIVE_MEDIA_ROOT = getattr(settings, 'PRIVE_MEDIA_ROOT', None)
MEDIA_URL = getattr(settings, 'MEDIA_URL', None)
PRIVE_MEDIA_URL = getattr(settings, 'PRIVE_MEDIA_URL', None)

# custom
OE_MEDIA_ROOT = getattr(settings, 'OE_MEDIA_ROOT', MEDIA_ROOT)
OE_PRIVE_MEDIA_ROOT = getattr(settings, 'OE_PRIV_MEDIA_ROOT', PRIVE_MEDIA_ROOT)
OE_MEDIA_URL = getattr(settings, 'OE_MEDIA_URL', MEDIA_URL)
OE_PRIVE_MEDIA_URL = getattr(settings, 'OE_PRIVE_MEDIA_URL', PRIVE_MEDIA_URL)

RECRUTEMENT_URLS = {'DEV': getattr(settings, 'RECRUTEMENT_URL', 'http://127.0.0.1:8000/api/'),
                    'TEST':'http://test.ressources-humaines.auf.org/api/',
                    'PROD':'http://ressources-humaines.auf.org/api/',}
